> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superdash.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Continue WhatsApp Conversation

> Endpoint to continue an existing WhatsApp Conversation

### Authorizations

<ParamField header="x-api-key" type="string" required>
  API key associated with your Workspace
</ParamField>

### Path Parameters

<ParamField path="workspaceId" type="string" required>
  The ID of the Workspace
</ParamField>

<ParamField path="assistantId" type="string" required>
  The ID of the Whatsapp Assistant
</ParamField>

### Body Parameters

<ParamField body="toNumber" type="string" required>
  The Recipient's Phone Number with country code
</ParamField>

<ParamField body="message" type="string" required>
  The WhatsApp Message to send <br />

  You can include variables in the message using curly braces. <br />Example: `{firstName}`<br />

  Each variable is resolved from the corresponding key in <code>attributes</code>.<br />
  Example: `{firstName}` will be replaced with
  <code>attributes.firstName</code>.
</ParamField>

<ParamField body="attributes" type="object">
  Attributes are user-defined and will be referenced dynamically in the message<br />
  Examples include <code>firstName</code>, <code>lastName</code>, etc.

  ```javascript theme={null}
     "attributes": {
         "firstName": "Superdash",
     }
  ```

  <Expandable title="Properties">
    <ParamField body="customField1" type="string">
      Custom attribute value (e.g., first name, last name)
    </ParamField>

    <ParamField body="customField2" type="string">
      Custom attribute value (e.g., first name, last name)
    </ParamField>

    <ParamField body="customField3" type="string">
      Custom attribute value (e.g., first name, last name)
    </ParamField>
  </Expandable>
</ParamField>

### Response

<ResponseField name="msg" type="string">
  Outbound WhatsApp Message succesfully sent
</ResponseField>

<ResponseField name="conversationId" type="string">
  The ID associated with the conversation
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
      "msg": "Outbound WhatsApp Message succesfully sent"
      "conversationId": "<ID_OF_THE_CONVERSATION>"
  }
  ```

  ```json 405 theme={null}
  {
      "msg": "More than 24 hours have passed since the last message, the customer window has closed. Please send a template message first before continuing conversation"
  }
  ```

  ```json 409 theme={null}
  {
      "msg": "Customer has not responded yet, so the customer service window is not open yet to send a non-template message"
  }
  ```

  ```json 500 theme={null}
  {
      "msg": "Internal Server Error"
  }
  ```
</ResponseExample>
